/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.pipeline._jpred;

import java.util.List;

import compbio.data.sequence.FastaSequence;

/**
 * 
 * jpred --sequence <fasta file> OR --alignment <clustalW alignment> [--db
 * <database>] [--pred-nohits] [--logLevel=(ERROR|INFO|DEBUG)] [--help]
 * 
 * jpred4 --sequence <fasta file> The path to the sequence (in FASTA format) you
 * want to predict OR
 * 
 * [--alignment <clustalW alignment>] The alignment which to use for prediction
 * 
 * [--profile=<path to HMM profile>]
 * 
 * [--db <database>] Database to use for PSI-BLAST querying. Default: uniref90 (
 * /homes/www-jpred/databases/uniref90.filt) Please note that database must be
 * psi-blast indexed
 * 
 * [--pred-nohits] Toggle allowing Jpred to make predictions even when there are
 * no PSI-BLAST hits.
 * 
 * [--logLevel=(ERROR|INFO|DEBUG)] one of ERROR, INFO, DEBUG [--help]
 * 
 * 
 * @author pvtroshin
 * 
 */
public class Jpred4 {

	List<FastaSequence> readFastaSequence() {
		return null;
	}

	public void runPsiBlast() {
	};

}
